<?php
//函数说明
//此函数用于采集网易新闻内容时，过滤GG广告以及可能的修复栏位错乱的问题
function substr163div($para)
{
	return substr(preg_replace('/<a href="http:\/\/news\.163\.com\/"><img src="http:\/\/img1\.cache\.netease\.com\/cnews\/img07\/end_i\.gif" alt="[^"]+" width="12" height="11" border="0" class="icon" \/><\/a>/is','',trim(preg_replace('/<div class="gg200x300">(.+?)<\/div>/is','',$para))),0,-6);
}

//函数说明
//此函数用于从内容页中选取一个合适的图片作为封面图片
function getthumbby163($para)
{
	$result='';
	if($para)
	{
		foreach($para as $_p)
		{
			if(strpos($_p,'/2011/') && is_image($_p))
			{
				$result=$_p;
				break;
			}
		}
	}	
	return $result;
}
?>